Subject: Re: ELDK 4.2/kilauea/3.5+ kernel broken

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 04 Jan 2013 15:08:47 +1100

On Wed, 2012-10-24 at 08:45 +0300, Robert Berger wrote:
> Hi Ben,
> >
> > Remind me what is the symptom ? A specific device isn't working ? Or the
> > whole kernel goes toast ?
> 
> The whole kernel goes toast! Just reboots without saying much before;)
> 
> > My feeling is that those patches make MSIs
> > work (well that's what they are supposed to do) and for some reason that
> > doesn't agree with whatever you have connected to the PCIe slot...
> 
> I have nothing connected to the PCIe slot. Just a standard kilauea eval
> board with a defconfig and a 3.6 kernel, so if someone has a kilauea
> board it should be very easy to reproduce.
> 
> Mai, Rupjyoti do you have a kilauea bard lying around to test?
> 
> Maybe it's the kilauea fdt?
> 
> If I hard code NR_MSI_IRQS (as it used to be) at least the kernel boots
> and I can work with the board. (I don't think MSI interrupts work).

Mai ? Somebody else from APM ? Can you look at this ?

Ben.